Bug 831856 - [abrt] monkeystudio-1.9.0.2-1.20120501svn4458.fc17: Process /usr/bin/monkeystudio was killed by signal 11 (SIGSEGV)
[abrt] monkeystudio-1.9.0.2-1.20120501svn4458.fc17: Process /usr/bin/monkeyst...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: monkeystudio (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicoleau Fabien
Fedora Extras Quality Assurance
abrt_hash:7dbb6bd0999d3f158f41463f050...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 18:42 EDT by Adrin Jalali
Modified: 2013-08-01 01:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.28 KB, text/plain)
2012-06-13 18:42 EDT, Adrin Jalali
no flags Details
File: maps (74.92 KB, text/plain)
2012-06-13 18:42 EDT, Adrin Jalali
no flags Details
File: dso_list (16.80 KB, text/plain)
2012-06-13 18:42 EDT, Adrin Jalali
no flags Details

  None (edit)
Description Adrin Jalali 2012-06-13 18:42:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        monkeystudio
crash_function: QSQLiteResultPrivate::finalize
executable:     /usr/bin/monkeystudio
kernel:         3.4.0-1.fc17.x86_64
pid:            16656
pwd:            /home/adrin/Documents/Monkey Studio/Projects
time:           Sun 10 Jun 2012 01:25:38 AM PDT
uid:            1000
username:       adrin
xsession_errors: 

backtrace:      Text file, 39203 bytes
dso_list:       Text file, 17208 bytes
maps:           Text file, 76714 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/adrin/2

core_backtrace:
:93e417d6b7278bb15ec0b5c86d978581a6d6a37f 0x66a4 - libqsqlite.so -
:93e417d6b7278bb15ec0b5c86d978581a6d6a37f 0x9453 - libqsqlite.so -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x207020 qCtagsSenseSQL::removeCurrentDatabase() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x207124 qCtagsSenseSQL::~qCtagsSenseSQL() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x207189 qCtagsSenseSQL::~qCtagsSenseSQL() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x1f5ed5 qCtagsSense::~qCtagsSense() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x1f5f69 qCtagsSense::~qCtagsSense() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x1ff5c3 qCtagsSenseBrowser::~qCtagsSenseBrowser() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x1ff679 qCtagsSenseBrowser::~qCtagsSenseBrowser() [exe] -
:61d0f987a0f470920c76a745b70e41137a1f71e6 0xcc78 pDockClassBrowser::~pDockClassBrowser() libClassBrowser.so -
:61d0f987a0f470920c76a745b70e41137a1f71e6 0xccc9 pDockClassBrowser::~pDockClassBrowser() libClassBrowser.so -
:61d0f987a0f470920c76a745b70e41137a1f71e6 0x84fb ClassBrowser::uninstall() libClassBrowser.so -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x11f159 BasePlugin::setEnabled(bool) [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x1198e6 PluginsManager::clearPlugins() [exe] -
:12f73ff91f9fd9983f3b033cc3c15057ffc84b3c 0x887a5 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=havij.bastani
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/adrin/keyring-6ZfXyk
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=adrin
:USERNAME=adrin
:MAIL=/var/spool/mail/adrin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/adrin/.local/bin:/home/adrin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adrin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1046
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/adrin
:SHLVL=1
:LOGNAME=adrin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NHyGHEETom,guid=f025c8728c6891d9ab57c44400000014
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adrin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-adrin-t9wf5y/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1050,unix/unix:/tmp/.ICE-unix/1050
:SSH_AUTH_SOCK=/run/user/adrin/keyring-6ZfXyk/ssh
:GPG_AGENT_INFO=/run/user/adrin/keyring-6ZfXyk/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/monkeystudio.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=16656

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63358                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63358                63358                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/adrin/.xsession-errors
:2:/home/adrin/.xsession-errors
:3:anon_inode:[eventfd]
:4:pipe:[151180]
:5:pipe:[151180]
:6:socket:[151181]
:7:socket:[151182]
:8:socket:[150483]
:9:socket:[150484]
:10:anon_inode:inotify
:11:socket:[150485]
:12:anon_inode:inotify
:13:anon_inode:inotify
:14:anon_inode:[eventfd]
:15:anon_inode:inotify
:16:anon_inode:[eventfd]
:17:anon_inode:[eventfd]
:18:anon_inode:inotify
:19:anon_inode:[eventfd]
:20:anon_inode:[eventfd]
:21:/tmp/mks_ctags_mainwindow.py (deleted)

smolt_data:
:
:
:General
:=================================
:UUID: ccb57071-aa41-461b-b42a-dfbaa45d522c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5382.21
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7940
:System Swap: 3998
:Vendor: LENOVO
:System: 4270CTO ThinkPad W520
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:260:6058:8655) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:6058:8655) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4318:3050:6058:8655) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3578:6058:8655) pci, nvidia, VIDEO, GF108 [Quadro 1000M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 6382454 3684612 3364612 1602496 1328492 1328492
:/dev/sda2 /home ext4 4096 4096 23798117 3352945 2161214 5963776 5849159 5849159
:/dev/mmcblk0p1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb2 WITHHELD btrfs 4096 4096 231382179 174402943 165458648 0 0 0
:

var_log_messages:
:Jun 10 00:22:07 havij yum[16631]: Installed: monkeystudio-1.9.0.2-1.20120501svn4458.fc17.x86_64
:Jun 10 01:25:38 havij kernel: [50273.549593] monkeystudio[16656]: segfault at 10 ip 00007ff9d814d6a4 sp 00007fff4f0ce120 error 4 in libqsqlite.so[7ff9d8147000+c000]
:Jun 10 01:25:39 havij abrt[18400]: Saved core dump of pid 16656 (/usr/bin/monkeystudio) to /var/spool/abrt/ccpp-2012-06-10-01:25:38-16656 (164294656 bytes)
Comment 1 Adrin Jalali 2012-06-13 18:42:03 EDT
Created attachment 591652 [details]
File: backtrace
Comment 2 Adrin Jalali 2012-06-13 18:42:05 EDT
Created attachment 591653 [details]
File: maps
Comment 3 Adrin Jalali 2012-06-13 18:42:06 EDT
Created attachment 591654 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 21:20:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:39:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.